## qmf 5.0~git20241030.1476b88

=== tests/CMakeLists.txt ===
add_subdirectory(tst_locks)
add_subdirectory(tst_longstream)
add_subdirectory(tst_longstring)
add_subdirectory(tst_python_email)
add_subdirectory(tst_qlogsystem)
add_subdirectory(tst_qmail_listmodels)
add_subdirectory(tst_qmail_sortkeys)
add_subdirectory(tst_qmailaddress)
add_subdirectory(tst_qmailcodec)
add_subdirectory(tst_qmaildisconnected)
add_subdirectory(tst_qmaillog)
add_subdirectory(tst_qmailmessage)
add_subdirectory(tst_qmailmessagebody)
add_subdirectory(tst_qmailmessageheader)
add_subdirectory(tst_qmailmessagepart)
add_subdirectory(tst_qmailmessageset)
add_subdirectory(tst_qmailnamespace)
add_subdirectory(tst_qmailserviceaction)
add_subdirectory(tst_qmailstorageaction)
add_subdirectory(tst_qmailstore)
add_subdirectory(tst_qmailstorekeys)
add_subdirectory(tst_qmailthread)
add_subdirectory(tst_qmflist)
add_subdirectory(tst_qprivateimplementation)
add_subdirectory(tst_smtp)
add_subdirectory(tst_storagemanager)

find_program(GPGME_CONFIG gpgme-config)
if (GPGME_CONFIG)
  execute_process(COMMAND ${GPGME_CONFIG} --libs OUTPUT_VARIABLE GPGME_LIBS OUTPUT_STRIP_TRAILING_WHITESPACE)
  add_subdirectory(tst_crypto)
endif()
