## qmf 1.0~2010w23

=== debian/changelog ===
qmf (1.0~2010w23-1hedley1) lucid; urgency=low

  * Hedley backport. No changes.

 -- Florian Boucault <florian.boucault@canonical.com>  Thu, 15 Jul 2010 09:30:02 +0200

qmf (1.0~2010w23-1) experimental; urgency=low

  * Initial release. (Closes: #587747)

 -- Fathi Boudra <fabo@debian.org>  Wed, 30 Jun 2010 15:58:16 +0300
