=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.15), libqt4-dev (>= 4:4.6.0), qt4-dev-tools (>= 4:4.6.0)
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7.4.15), libqt4-dev (>= 4:4.7.0~rc1), qt4-dev-tools (>= 4:4.7.0~rc1)
+Standards-Version: 3.9.1
 Homepage: http://labs.trolltech.com/blogs/category/qtmessaging/
 Vcs-Git: git://git.debian.org/pkg-kde/qmf.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/qmf.git;a=summary
@@ -27,14 +27,25 @@
 
 Package: libmessageserver1
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite
+Conflicts: qmf-messageserver
+Replaces: qmf-messageserver (<< 1.0~2010w23-2)
 Description: Qt Messaging Framework (QMF) message server support library
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
  process that can be used to build email clients, and more generally software
  that interacts with email and mail servers.
  .
- This package contains the message server support library. It provides
- assistance in developing GUI clients that access messaging data.
+ The MessageServer application is a daemon, designed to run continuously while
+ providing services to client applications. It provides messaging transport
+ functionality, communicating with external servers on behalf of Messaging
+ Framework client applications. New types of messaging (such as Instant
+ Messages or video messages) can be handled by the server application without
+ modification to existing client applications.
+ .
+ This package contains:
+  * the message server support library. It provides assistance in developing
+    GUI clients that access messaging data.
+  * a server application supporting multiple messaging transport mechanisms.
 
 Package: libqmfutil1
 Architecture: any
@@ -65,25 +76,6 @@
  This package contains a library for developing applications that work with
  messages.
 
-Package: qmf-messageserver
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Section: utils
-Description: Qt Messaging Framework (QMF) message server
- The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
- process that can be used to build email clients, and more generally software
- that interacts with email and mail servers.
- .
- The MessageServer application is a daemon, designed to run continuously while
- providing services to client applications. It provides messaging transport
- functionality, communicating with external servers on behalf of Messaging
- Framework client applications. New types of messaging (such as Instant
- Messages or video messages) can be handled by the server application without
- modification to existing client applications.
- .
- This package contains a server application supporting multiple messaging
- transport mechanisms.
-
 Package: qmf-examples
 Architecture: any
 Section: x11
@@ -99,6 +91,17 @@
  This package contains an example client application supporting common
  messaging functionality.
 
+Package: qmf-tests
+Architecture: any
+Section: utils
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Qt Messaging Framework (QMF) tests
+ The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
+ process that can be used to build email clients, and more generally software
+ that interacts with email and mail servers.
+ .
+ This package contains the tests for the Qt Messaging Framework (QMF).
+
 Package: qmf-dbg
 Priority: extra
 Architecture: any
@@ -112,8 +115,8 @@
  process that can be used to build email clients, and more generally software
  that interacts with email and mail servers.
  .
- This package contains the debugging symbols for the Qt Messaging Framework
- (QMF) libraries.
+ This package contains the debugging symbols for Qt Messaging Framework (QMF)
+ libraries.
 
 Package: qmf-doc
 Architecture: all
