=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --list-missing --dbg-package=qmf-dbg

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/html
