## qmf 1.0~2010w39

=== debian/changelog ===
qmf (1.0~2010w39-1ubuntu4) natty; urgency=low

  * Remove symbols files, they broke and we decided not to include qmf in main

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Jan 2011 15:31:37 +0000

qmf (1.0~2010w39-1ubuntu3) natty; urgency=low

  * Generate .symbols files with GCC 4.5 not 4.6

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Jan 2011 13:47:29 +0000

qmf (1.0~2010w39-1ubuntu2) natty; urgency=low

  * Remove explicit Thumb2 support, no longer needed
  * Add .symbols files for libraries for ABI checking

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Jan 2011 12:42:23 +0000

qmf (1.0~2010w39-1ubuntu1) natty; urgency=low

  * Add CXXFLAGS += -Wa,-mimplicit-it=thumb on armel to work around
    lack of native Thumb2 support in qt4-x11

 -- Scott Kitterman <scott@kitterman.com>  Sat, 13 Nov 2010 16:30:02 +0000

qmf (1.0~2010w39-1) experimental; urgency=low

  * New upstream release - several renaming changes have been made to QMF.
    These changes are unfortunately source and  binary incompatible.
  * Update patches to apply against the new release.
  * Update debian/control:
    - Adjust packages name
      libmessageserver1 -> libqmfmessageserver1
      libqtopiamail1 -> libqmfclient1
    - Add qmf-doc-html package.
  * Update debian/rules:
    - pass QMF_INSTALL_ROOT configure option.
    - install qmf.sh to set QMF_PLUGINS environment variable.
    - install messageserver.desktop to autostart messageserver.
  * Update installed files.

 -- Fathi Boudra <fabo@debian.org>  Sat, 09 Oct 2010 09:47:08 +0300
