=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qmf
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.4.15), libqt4-dev (>= 4:4.7.0~rc1), qt4-dev-tools (>= 4:4.7.0~rc1)
 Standards-Version: 3.9.1
@@ -13,9 +14,9 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libmessageserver1 (= ${binary:Version}),
+ libqmfmessageserver1 (= ${binary:Version}),
  libqmfutil1 (= ${binary:Version}),
- libqtopiamail1 (= ${binary:Version})
+ libqmfclient1 (= ${binary:Version})
 Suggests: qmf-doc
 Description: Qt Messaging Framework (QMF) - development files
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
@@ -25,11 +26,11 @@
  This package contains the development files needed to build Qt applications
  using Qt Messaging Framework libraries.
 
-Package: libmessageserver1
+Package: libqmfmessageserver1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite
-Conflicts: qmf-messageserver
-Replaces: qmf-messageserver (<< 1.0~2010w23-2)
+Conflicts: qmf-messageserver, libmessageserver1
+Replaces: qmf-messageserver (<< 1.0~2010w23-2), libmessageserver1 (<< 1.0~2010w39-1)
 Description: Qt Messaging Framework (QMF) message server support library
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
  process that can be used to build email clients, and more generally software
@@ -58,9 +59,11 @@
  This package contains the messaging client utility library. It provides
  assistance in developing plugins for the Message Server daemon.
 
-Package: libqtopiamail1
+Package: libqmfclient1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libqtopiamail1
+Replaces: libqtopiamail1 (<< 1.0~2010w39-1)
 Description: Qt Messaging Framework (QMF) client library
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
  process that can be used to build email clients, and more generally software
@@ -107,9 +110,9 @@
 Architecture: any
 Section: debug
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libmessageserver1 (= ${binary:Version}),
+ libqmfmessageserver1 (= ${binary:Version}),
  libqmfutil1 (= ${binary:Version}),
- libqtopiamail1 (= ${binary:Version})
+ libqmfclient1 (= ${binary:Version})
 Description: Qt Messaging Framework (QMF) - debugging symbols
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
  process that can be used to build email clients, and more generally software
@@ -122,10 +125,28 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Suggests: qt4-dev-tools, qt4-doc
-Description: Qt Messaging Framework (QMF) - documentation
+Suggests: qmf-dev, qt4-dev-tools, qt4-doc
+Description: Qt Messaging Framework (QMF) - QCH documentation
  The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
  process that can be used to build email clients, and more generally software
  that interacts with email and mail servers.
  .
  This package contains the documentation for Qt Messaging Framework (QMF).
+ .
+ The documentation is provided in the new help format and manpage format;
+ the new help format version can be viewed in conjunction with the Qt Assistant
+ found in the qt4-dev-tools package.
+
+Package: qmf-doc-html
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Suggests: w3m | www-browser | x-www-browser, qmf-dev, qt4-dev-tools, qt4-doc-html
+Description: Qt Messaging Framework (QMF) - HTML documentation
+ The Qt Messaging Framework, QMF, consists of a C++ library and daemon server
+ process that can be used to build email clients, and more generally software
+ that interacts with email and mail servers.
+ .
+ This package contains the documentation for Qt Messaging Framework (QMF).
+ .
+ The documentation is provided in HTML format.
