=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --list-missing --dbg-package=qmf-dbg

override_dh_auto_configure:
	dh_auto_configure -- QMF_INSTALL_ROOT=/usr

override_dh_auto_install:
	install -D -p -m 0644 debian/qmf.sh \
		debian/tmp/etc/profile.d/qmf.sh
	install -D -p -m 0644 debian/messageserver.desktop \
		debian/tmp/etc/xdg/autostart/messageserver.desktop
	dh_auto_install
