## qmf 1.0.7~2011w23.2

=== debian/changelog ===
qmf (1.0.7~2011w23.2-2.1) unstable; urgency=low

  * Non maintainer upload
  * Fix build failure with GCC 4.7. Closes: #684812.
  * Build qmfclient with -O1 to work around #667341.

 -- Matthias Klose <doko@debian.org>  Mon, 27 Aug 2012 12:03:05 +0200

qmf (1.0.7~2011w23.2-2) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sun, 19 Jun 2011 21:19:36 +0300

qmf (1.0.7~2011w08-1) unstable; urgency=low

  * New upstream release - upload to Sid.
  * Pass CONFIG+=syslog to get debug messages in the syslog.
  * Update installed headers and fix documentation path.

 -- Fathi Boudra <fabo@debian.org>  Sun, 06 Mar 2011 11:25:13 +0200
