=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --parallel --list-missing --dbg-package=qmf-dbg
 
 override_dh_auto_configure:
-	dh_auto_configure -- QMF_INSTALL_ROOT=/usr
+	dh_auto_configure -- QMF_INSTALL_ROOT=/usr CONFIG+=syslog
 
 override_dh_auto_install:
 	install -D -p -m 0644 debian/qmf.sh \
