## qmf 5.0~git20241030.1476b88

=== debian/changelog ===
qmf (5.0~git20241030.1476b88-3) unstable; urgency=medium

  [ László Böszörményi (GCS) ]
  * debian/patches:
    + Fix FTBFS against icu >= 75.1. (Closes: #1099840).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 08 Mar 2025 20:27:08 +0100

qmf (5.0~git20241030.1476b88-2) unstable; urgency=medium

  [ Guido Berhoerster ]
  * debian/patches:
    + Add 1001-Add-serialization-deserialization.patch
    + Add 2004-Raise-internal-limits.patch
    + Add 1002-Add-Posteingang-to-inbox-translations.patch
    + Add 2005-Add-pkg-config-files.patch
    + Update 2002-Enable-optionally-building-against-Qt-5.patch: Fix typo.
    + Add 2006-Use-a-queued-connection-to-handle-accountsUpdated-si.patch
    + Add 1003-Don-t-save-settings-during-IMAP-logging-in.patch.
    + Rename 2006-Use-a-queued-connection-to-handle-accountsUpdated-si.patch
      to 1004-Use-a-queued-connection-to-handle-accountsUpdated-si.patch.
      This should potentially be submitted upstream.
    + Add 1005-Use-EightBit-encoding-instead-of-Base64-for-text-typ.patch.
    + Add 1006-Allow-a-service-provided-folder-to-be-set-as-the-sta.patch.
    + Add 1007-Remove-lock-file-usage-from-messageserver.patch.
    + Add 1008-Remove-obsolete-file-locking-methods.patch.
    + Add 1009-Prefer-Qt-standard-paths-for-application-data.patch.
  * debian/*:
    + Remove -qt6 subpackages. The Qt5 and 6 variants of the qmfmessageserver
      are incompatible but share the same DBus service name so that they are
      coupled to their respective client libraries.  Drop the Qt6 subpackage
      for now since there are no consumers in Debian other tha lomiri-dekko-
      app (upload of Dekko is in prep).
    + Disable widgets and Qt HTML parsing.
  * debian/rules:
    + Build with logging support.

  [ Mike Gabriel ]
  * debian/copyright:
    + Fix URL in Source: field.
    + Update attributions for debian/.
    + White-space fixes.
    + Minor adjustments to new orig tarball packaging mechanism.
  * debian/control:
    + Use Source: field URL also in Homepage: field.
    + Drop from D: (libqmf-qt5-dev): libqmfwidgets-qt5-4 (lib:pkg removed
      from src:pkg).
  * debian/rules:
    + Use get-orig-source target that can retrieve the Git snapshot referenced
      by the upstream version part in d/changelog.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jan 2025 09:12:52 +0100

qmf (5.0~git20241030.1476b88-1) unstable; urgency=medium

  * Initial release to Debian (Closes: #1087500).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 14 Nov 2024 15:21:48 +0100
