=== debian/control ===
Source: qmf
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               libicu-dev,
               pkgconf,
               qtbase5-private-dev,
               qttools5-dev-tools,
               qttools5-dev,
               qdoc-qt5,
               qtbase5-doc-html,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://code.qt.io/cgit/qt-labs/messagingframework.git/
Vcs-Git: https://salsa.debian.org/ubports-team/qmf.git
Vcs-Browser: https://salsa.debian.org/ubports-team/qmf/

Package: libqmfclient-qt5-4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 5 Messaging Framework (QMF) client library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Messaging Framework client library.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: libqmfmessageserver-qt5-4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 5 Messaging Framework (QMF) server library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Messaging Framework message server library.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qmfmessageserver
Section: utils
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Messaging Framework (QMF) server
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Messaging Framework message server.
 .
 WARNING: This module is not an official part of Qt 6, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: libqmf-qt5-dev
Section: libdevel
Architecture: any
Depends: libqmfclient-qt5-4 (= ${binary:Version}),
         libqmfmessageserver-qt5-4 (= ${binary:Version}),
         ${misc:Depends},
Multi-Arch: same
Description: Qt 5 Messaging Framework (QMF) development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files used for building Qt 5
 applications using QMF libraries.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.
